Subject: Dimensions standard pour l'impression d'une partition

From: Ziad Gholam <[email-masked]>
Date: Tue, 3 Jan 2023 15:13:49 +0100

Bonjour et Bonne Année à tous les membres de ce forum.

D'avance excusez-moi si le sujet a déjà été traité sur ce forum.

A) Quelles sont les dimensions standard pour imprimer une partition
pour Choeur (SATB) et Basse Chiffrée ? (c-à-d : quelle marge à gauche,
longueur de la ligne du système, espace entre les voix et la ligne de la
Basse Chiffrée, etc. )

B) sur LilyPond :
B.1) comment implémenter ces dimensions ?
B.2) comment s'assurer d'un espace "standard" entre les voix et la ligne de
Basse, et celui entre la ligne de Basse et son chiffrage ?

C) Enfin, serait-il possible d'avoir dans le Guide d'Utilisateur,
un Template "standard" pour instruments, choeur et basse chiffrée,
qui intègre toutes ces préconisations ?

Je suis prêt à contribuer à l'effort commun en faisant, par exemple,
office de "l'avocat de la cause" (hi hi hi), ou de la coordination ...

__

Cordialement,
Ziad GHOLAM

= = = = = = = = =
.

---

From: Jean Abou Samra <[email-masked]>
Date: Tue, 3 Jan 2023 23:36:58 +0100

Bonjour,

> longueur de la ligne du système, espace entre les voix et la ligne de la

En exagérant, j'ai envie de dire que c'est un peu comme demander
quelles sont les dimensions pour imprimer un roman allemand de la
première moitié du XXème siècle :-)  Il n'y a pas de standard
universel, et les marges dépendent davantage de l'éditeur que du
fait que ce soit une partition pour chœur et basse chiffrée. En
fonction de la taille des systèmes, le nombre par page peut varier.

En règle générale, LilyPond essaie d'avoir des valeurs par défaut
raisonnables pour les marges et l'espacement, même si la taille de
papier reste bien sûr à régler par l'utilisateur. D'ailleurs, les
marges par défaut ont été révisées (agrandies) dans la version 2.25.0.

> B.1) comment implémenter ces dimensions ?

Pour la taille du papier :

https://lilypond.org/doc/v2.24/Documentation/notation/paper-size-and-automatic-scaling

Pour les marges :

https://lilypond.org/doc/v2.24/Documentation/notation/fixed-vertical-spacing-paper-variables

Pour l'espace entre systèmes :

https://lilypond.org/doc/v2.24/Documentation/notation/flexible-vertical-spacing-paper-variables

> Basse, et celui entre la ligne de Basse et son chiffrage ?

Si l'espacement par défaut ne vous convient pas, la méthode pour le
changer est ici :

https://lilypond.org/doc/v2.24/Documentation/notation/flexible-vertical-spacing-within-systems

(c'est connu pour être légèrement compliqué à utiliser, n'hésitez
pas à demander de l'aide avec un exemple de code).

> qui intègre toutes ces préconisations ?

Ça s'insèrerait bien dans
https://lilypond.org/doc/v2.24/Documentation/learning/vocal-ensembles-templates

Je ne pense pas qu'il y ait spécialement besoin de coordination,
si vous envoyez un modèle dans le genre de ceux qui sont déjà là,
je me charge sans problème d'aller le soumettre comme modification
de la documentation.

Cordialement,
Jean